> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# documentcompleted

> Document completed status list - Not done, Done.

## "documentcompleted" MDO List

Document completed status list: Not done, Done.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.DocumentCompletedProvider">DocumentCompletedProvider</see> class.
The name of the MDO list is 'documentcompleted'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/documentcompleted
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("documentcompleted", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 0  | Not done  |           |           |
| 1  | Completed |           |           |

## Related MDO Lists

* "documentcompletedheadings"
* "documentcompletedheadingswithallitem"
* "documentcompletedheadingswithallitemwithnoselection"
* "documentcompletedheadingswithnoselection"
* "documentcompletedwithallitem"
* "documentcompletedwithallitemwithnoselection"
* "documentcompletedwithnoselection"


## Related topics

- [SaleTypeQuoteAttachment](/en/api/archive-providers/reference/saletypequoteattachment.md)
- [ContactPersonSelectionCombinedV2](/en/api/archive-providers/reference/contactpersonselectioncombinedv2.md)
- [ContactPersonSelectionV2](/en/api/archive-providers/reference/contactpersonselectionv2.md)
- [ContactPersonStaticSelectionV2](/en/api/archive-providers/reference/contactpersonstaticselectionv2.md)
- [ContactSelection](/en/api/archive-providers/reference/contactselection.md)
- [ContactSelectionCombined](/en/api/archive-providers/reference/contactselectioncombined.md)
